#!/bin/sh

baseDir=`dirname "$0"`
pwd=`pwd`
if [ $baseDir = "." ]
then
  baseDir=$pwd
fi
if ! [ -d "$JAVA_HOME" ]; then
  JAVA_HOME=$baseDir/../eclipse
fi
if ! [ -d "$JAVA_HOME/jre/bin" ]; then
  JAVA_HOME=$baseDir/../jdk
fi
if ! [ -d "$JAVA_HOME/jre/bin" ]; then
  echo ERROR: JAVA_HOME must point to a Java installation containing jre/bin
  exit 1
fi

ENCODER_JAR=$baseDir/../runtimes/bi_v75_stub/runtimes/com.ibm.ws.admin.client_7.0.0.jar
if ! [ -f "$ENCODER_JAR" ]; then
  ENCODER_JAR=$baseDir/../runtimes/bi_v75_stub/runtimes/com.ibm.ws.webservices.thinclient.7.0.0.jar
fi
if ! [ -f "$ENCODER_JAR" ]; then
  echo ERROR: Unable to locate the WSEncoderDecoder class
  exit 1
fi

ENCODER_CP=$ENCODER_JAR:./encoder.jar

$JAVA_HOME/jre/bin/java com.ibm.wbit.comptest.controller.EncoderMain $*
errorcode=$?
echo "java returned ErrorCode $errorcode"


echo runAntWidSecurity.sh DONE.
exit 0

